seQura for Payment Setup API
Last updated: April 30, 2026
To accept seQura payments, you must:
- Create a payment setup.
- Confirm the payment.
- Redirect the customer to seQura.
Call the Create a payment setup endpoint.
Information
Your base URL's {prefix} value is unique to your account and environment. To learn how to retrieve your base URLs for the sandbox and production environments, see API endpoints.
post
https://{prefix}.api.checkout.com/payments/setups
1{2"amount": 20000,3"currency": "EUR",4"processing_channel_id": "pc_wzjki6hw5puepb5fnvqlizj2e4",5"reference": "ORD-5023-4E89",6"billing": {7"address": {8"address_line1": "123 Avenue de l'élégance",9"city": "Paris",10"state": "Île-de-France",11"zip": "70123",12"country": "FR"13}14},15"settings": {16"success_url": "https://example.com/payments/success",17"failure_url": "https://example.com/payments/failure"18}19}
In the request body, provide the following:
| Field | Description |
|---|---|
number | The payment amount, in the minor currency unit. |
object | The customer's billing details. |
object | The customer's billing address. |
string | The first line of the billing address. |
string | The city of the billing address. |
string | The two-letter ISO 3166 country code of the billing address. |
string | The state of the billing address. |
string | The zip or postal code of the billing address. |
string | Three-letter ISO 4217 currency code. Must be |
string | The processing channel's unique identifier. |
object | Settings for the payment setup. |
string | The URL to redirect the customer to if the payment fails. |
string | The URL to redirect the customer to after a successful payment. |
string | The second line of the billing address. |
string | A description of the payment. |
string | A reference you can use to identify the payment. For example, an order number. |
1{2"id": "set_rcmepwrchqab2wsergcafvijfy",3"processing_channel_id": "pc_wzjki6hw5puepb5fnvqlizj2e4",4"amount": 20000,5"currency": "EUR",6"payment_type": "Regular",7"reference": "ORD-5023-4E89",8"description": "seQura payment",9"payment_methods": {10"sequra": {11"status": "ready",12"flags": []13}14},15"available_payment_methods": [16"sequra"17],18"settings": {19"success_url": "https://example.com/payments/success",20"failure_url": "https://example.com/payments/failure"21}22}
The response returns a payment_methods object, which contains the payment methods enabled on your account.
Providing all required fields sets the payment_methods.sequra object to a ready status.
Confirm the payment by calling the Confirm a payment setup endpoint and provide:
- The payment setup
idas the{id}path parameter. sequraas the{payment_method_name}path parameter.
post
https://{prefix}.api.checkout.com/payments/setups/{id}/confirm/sequra
If you receive a 202 Success response with a payment id and a status field set to Pending, your request was successful.
1{2"id": "pay_bgmwsoadqdvetnljwg23hetl7q",3"status": "Pending",4"reference": "ORD-5023-4E89",5"customer": {6"id": "cus_ujs5uvwcshhujllodxegkknwou",7"email": "ali.farid@example.com",8"name": "Ali Farid"9},10"processing": {11"partner_payment_id": "a62d7832-543b-48c3-92c9-959160c09f5b",12"product_type": "pay_later"13},14"_links": {15"self": {16"href": "https://{prefix}.api.sandbox.checkout.com/payments/pay_bgmwsoadqdvetnljwg23hetl7q"17},18"redirect": {19"href": "https://partner-integration-middleware-sandbox.sequra.com/checkout/a62d7832-543b-48c3-92c9-959160c09f5b"20}21}22}
Redirect the customer to the redirect link's href from the response. The customer completes the payment on the seQura page and is then redirected back to your settings.success_url or settings.failure_url.